Skip to main content

Preview MAC policy for a network draft

POST
/networks/mac-policy/preview

Contract

Parameter
Value
Sectionnetworks
AuthenticationCookieAuth
Consumesapplication/json
Producesapplication/json

Parameters

4 parameters

Name
Location
Required
Type
Description
limitquerynointegerPage size
pagequerynointegerPage number, starting at 1
startquerynostringStarting IP for the page (cursor)
requestbodyyesobjectNetwork draft with optional macPolicy, macOverrides, and start/limit/page
  • {
      "createdAt": "<string>",
      "excludes": [
        "<string>"
      ],
      "gateway": "<string>",
      "gatewayMac": "<string>",
      "gatewayMacId": 0,
      "gatewayMacMode": "<string>",
      "id": 0,
      "ipVersion": "<string>",
      "issuer": {
        "agreementAccepted": true,
        "createdAt": "<string>",
        "deletedAt": "<string>",
        "email": "<string>",
        "group": {
          "createdAt": "<string>",
          "deletedAt": "<string>",
          "id": 0,
          "issuer": {},
          "issuerID": 0,
          "name": "<string>",
          "permissions": [
            {}
          ],
          "updatedAt": "<string>",
          "users": [
            {}
          ]
        },
        "groupID": 0,
        "id": 0,
        "isActive": true,
        "isRequiredToSetPassword": true,
        "lastLogin": "<string>",
        "notificationsReadAt": "<string>",
        "passwordLength": 0,
        "realName": "<string>",
        "updatedAt": "<string>"
      },
      "issuerID": 0,
      "name": "<string>",
      "pattern": "<string>",
      "ports": "<string>",
      "spoofing": true,
      "subnet": "<string>",
      "type": 0,
      "updatedAt": "<string>"
    }

Responses

3 responses

Status
Description
Type
200
Preview page: rows[]{ip, mac, source, overridden}, nextStart, page, limit, totalRows, totalPagesobject
400
Invalid request body, limit/page out of range, or preview not calculatedobject
401
Unauthorizedobject
  • {}
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }